## tango 7.2.6+dfsg

=== pogo/templates/cpp/Makefile ===
#=============================================================================
#
# file :        Makefile
#
# description : Include for the TemplateDevServ class.
#
# project :     Makefile to generate a Tango server
#
# $Author:  $
#
# $Revision: $
#
#
# copyleft :    European Synchrotron Radiation Facility
#               BP 220, Grenoble 38043
#               FRANCE
#
#=============================================================================
#  		This file is generated by POGO
#	(Program Obviously used to Generate tango Object)
#
#         (c) - Software Engineering Group - ESRF
#=============================================================================
#

CLASS      = TemplateDevServ
MAJOR_VERS = 1
MINOR_VERS = 0
RELEASE    = Release_$(MAJOR_VERS)_$(MINOR_VERS)

#-----------------------------------------
#	Set default home directories
#-----------------------------------------

TANGO_HOME   =  /usr/local
CPP_SERVERS  =  $(TANGO_HOME)/cppserver

ifdef no_debug
	DEBUG = -O
else
	DEBUG = -g
endif

ifdef _solaris
CC = CC 

AR_SL = $(CC) -mt -G
VERS_OPT = -h
SL_EXT = so
endif

ifdef linux
CC = c++
CC_SHLIB = $(CC)  -fPIC
AR = ar

AR_SL = $(CC) -fPIC -shared 
SL_EXT = so
VERS_OPT = -Wl,-soname,
endif

INCLUDE_DIRS =  -I$(TANGO_HOME)/include/tango \
					 -I/segfs/tango/ORB/omniORB4.1.4/ubuntu904/include \
					 -I.	\
                -I$(CPP_SERVERS)/include

OBJS_DIR    = obj
LIB_DIRS    = -L $(TANGO_HOME)/lib \
				  -L /segfs/tango/ORB/omniORB4.1.4/ubuntu904/lib

TARGET_LIB = $(CPP_SERVERS)/lib/libtgclasses.a


#-----------------------------------------
#	Set  CXXFLAGS and LFLAGS
#-----------------------------------------
ifdef _solaris
CXXFLAGS =  $(DEBUG) -mt -D_PTHREADS $(INCLUDE_DIRS)
LFLAGS =  $(DEBUG) $(LIB_DIRS)  		\
				-ltango			\
				-llog4tango		\
				-lomniORB4 		\
				-lomniDynamic4	\
				-lomnithread	\
				-lCOS4			\
				-lpthread		\
				-lposix4 -lsocket -lnsl
endif

ifdef linux
CXXFLAGS =  $(DEBUG) -D_REENTRANT $(INCLUDE_DIRS)
LFLAGS =  $(DEBUG) $(LIB_DIRS)  		\
				-ltango			\
				-llog4tango		\
				-lomniORB4 		\
				-lomniDynamic4	\
				-lomnithread	\
				-lCOS4			\
				-ldl -lpthread
endif




#-----------------------------------------
#	Set  dependences
#-----------------------------------------

SVC_OBJS = $(OBJS_DIR)/main.o	\
		$(OBJS_DIR)/ClassFactory.o	\
		$(OBJS_DIR)/$(CLASS)Class.o	\
		$(OBJS_DIR)/$(CLASS)StateMachine.o	\
		$(OBJS_DIR)/$(CLASS).o

SHLIB_OBJS = $(OBJS_DIR)/$(CLASS)Class.so.o	\
		$(OBJS_DIR)/$(CLASS)StateMachine.so.o	\
		$(OBJS_DIR)/$(CLASS).so.o


SVC_INC = $(CLASS)Class.h \
		$(CLASS).h


$(OBJS_DIR)/%.o: %.cpp $(SVC_INC)
	$(CC) $(CXXFLAGS) -c $< -o $(OBJS_DIR)/$*.o
			
$(OBJS_DIR)/%.so.o: %.cpp $(SVC_INC)
	$(CC_SHLIB) $(CXXFLAGS) -c $< -o $(OBJS_DIR)/$*.so.o


#-----------------------------------------
#	 Make Entry
#-----------------------------------------
all: $(CLASS)
	
$(CLASS):	make_obj_dir make_bin_dir $(SVC_OBJS)
	$(CC) $(SVC_OBJS) -o $(CLASS) $(LFLAGS)
	@mv $(CLASS) bin/$(CLASS)

shlib:	make_obj_dir make_shlib_dir $(SHLIB_OBJS)
	$(AR_SL) -o \
		shlib/$(CLASS).$(SL_EXT).$(MAJOR_VERS).$(MINOR_VERS) \
		$(VERS_OPT)$(CLASS).$(SL_EXT).$(MAJOR_VERS) \
		$(SHLIB_OBJS) $(LFLAGS)
	@rm -f shlib/$(CLASS).$(SL_EXT)
	@cd  shlib; \
		ln -s $(CLASS).$(SL_EXT).$(MAJOR_VERS).$(MINOR_VERS) $(CLASS).$(SL_EXT)

clean:
	rm -f $(OBJS_DIR)/*.o  \
	$(OBJS_DIR)/*.so.o \
	bin/$(CLASS) \
	core

make_obj_dir:
	@mkdir -p obj

make_bin_dir:
	@mkdir -p bin

make_shlib_dir:
	@mkdir -p shlib
	
#-----------------------------------------
#	 Install binary file
#-----------------------------------------
install:
	cp bin/$(CLASS)  $(TANGO_HOME)/bin

#-----------------------------------------
#	 Update class library and header files
#	recompile without debug mode.
#-----------------------------------------
lib: clean
	@make no_debug=1
	cp *.h $(CPP_SERVERS)/include
	ar ruv $(TARGET_LIB) $(CLASS).o
	ar ruv $(TARGET_LIB) $(CLASS)Class.o
	ar ruv $(TARGET_LIB) $(CLASS)StateMachine.o
	ident  $(TARGET_LIB) | grep $(CLASS)

#----------------------------------------------------
#	Tag the CVS module corresponding to this class
#----------------------------------------------------
tag:
	@cvstag "$(CLASS)-$(RELEASE)"
	@make   $(CLASS)
	@make show_tag

show_tag:
	@cvstag -d

=== debian/changelog ===
tango (7.2.6+dfsg-4build2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:26:51 -0700

tango (7.2.6+dfsg-4build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Thu, 24 Nov 2011 00:27:28 -0800

tango (7.2.6+dfsg-4) unstable; urgency=low

  * debian/patches
    - 0007-upstream-fix-tango-db-start-during-init.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 23 May 2011 15:13:04 +0200

tango (7.2.6+dfsg-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2
  * Add libjs-jquery dependency to avoid embedding jquery.js
  * Add debconf translations:
    - Swedish, from Martin Bagge, (closes: #623527)
    - Russian, from Yuri Kozlov (closes: #623793)
    - German, from Chris Leick (closes: #623889)
    - Czech, from Michal Simunek (closes: #624224)
    - Danish, from Joe Dalton (closes: #624643)
    - Japanese, from Hideki Yamane (closes: #626378)
  * Update debconf translation:
    - French, from Christian Perrier, (closes: #623887)
  * debian/patches
    - 0004-upstream-fix-bug3285674.patch (new)
    - 0005-upstream-fix-bug3213730.patch (new)
    - 0006-feature-forwarded-upstream-pkg-config-small-fixes.patch (new)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 24 Apr 2011 09:57:31 +0200

tango (7.2.6+dfsg-2) unstable; urgency=low

  * Split tango-common into tango-common and libtango-tools
    to solve the circular dependency (Closes: #623249)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 19 Apr 2011 00:08:55 +0200

tango (7.2.6+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #400201)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 22 Mar 2011 09:24:31 +0100

=== debian/control ===
Source: tango
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: debhelper (>= 7.0.50),
	       po-debconf,
	       autotools-dev, autoconf, automake, libtool,
	       libcos4-dev (>= 4.1.3),
	       libmysqlclient-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.2
Homepage: http://www.tango-controls.org
Vcs-Git: git://git.debian.org/git/debian-science/packages/tango.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/tango.git

Package: liblog4tango4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: logging for TANGO - shared library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the files necessary for running applications that
 use the log4tango4 library.

Package: liblog4tango4-dev
Section: libdevel
Architecture: any
Depends: liblog4tango4 (= ${binary:Version}),
	 ${misc:Depends}
Description: logging for TANGO - development library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the log4tango4 development files.

Package: liblog4tango4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: liblog4tango4 (= ${binary:Version}),
	 ${misc:Depends}
Description: logging for TANGO - debug library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the debugging symbol for liblog4tango4.

Package: liblog4tango4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: logging for TANGO - documentation
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the documentation of the log4tango4 library.

Package: libtango7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 tango-common
Description: TANGO distributed control system - shared library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the files necessary for running TANGO applications.

Package: libtango7-dev
Section: libdevel
Architecture: any
Depends: libtango7 (= ${binary:Version}),
	 ${misc:Depends},
	 liblog4tango4-dev,
	 libcos4-dev
Description: TANGO distributed control system - development library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the tango7 development files.

Package: libtango7-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libtango7 (= ${binary:Version}),
	 ${misc:Depends}
Description: TANGO distributed control system - debug library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the debugging symbols for tango7.

Package: libtango7-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: TANGO distributed control system - documentation
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the documentation for the libtango7 library.

Package: libtango-tools
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Replaces: tango-common (<< 7.2.6+dfsg-2)
Description: TANGO distributed control system - common executable files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure.

Package: tango-common
Section: net
Architecture: all
Depends: ${misc:Depends},
	 adduser
Description: TANGO distributed control system - common files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure. It is for now an
 empty package

Package: tango-db
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 lsb-base (>= 3.0-6),
	 dbconfig-common,
	 libtango-tools
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO database server using MySQL.

Package: tango-db-dbg
Section: debug
Architecture: any
Depends: tango-db (= ${binary:Version}),
	 ${misc:Depends}
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-db.

Package: tango-starter
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 libtango-tools,
	 lsb-base (>= 3.0-6)
Suggests: omninotify
Description: TANGO distributed control system - control server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device control server. It can start, stop,
 or report the status of other TANGO components.

Package: tango-starter-dbg
Section: debug
Architecture: any
Depends: tango-starter (= ${binary:Version}),
	 ${misc:Depends}
Suggests: omninotify
Description: TANGO distributed control system - control server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-starter.

Package: tango-accesscontrol
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 lsb-base (>= 3.0-6),
	 libtango-tools,
	 tango-db,
	 tango-starter
Description:  TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO accesscontrol server. It can be used to
 manage the users and IP addresses that are permitted to access TANGO
 devices.

Package: tango-accesscontrol-dbg
Section: debug
Architecture: any
Depends: tango-accesscontrol (= ${binary:Version}),
	 ${misc:Depends}
Description:  TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-accesscontrol.

Package: tango-test
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 tango-starter
Description:  TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device which implements all TANGO
 attribute types, and can be used for testing the installation.

Package: tango-test-dbg
Section: debug
Architecture: any
Depends: tango-test (= ${binary:Version}),
	 ${misc:Depends}
Description:  TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-test.

=== debian/rules ===
#!/usr/bin/make -f

BUILDROOT=build
PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)+.*/\1/p')
LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')

get-orig-source:
	uscan --verbose --force-download --download-current-version
	cp ../$(PACKAGE)-$(VERSION).tar.gz ../$(PACKAGE)-$(VERSION)+dfsg.tar.gz
	gunzip ../$(PACKAGE)-$(VERSION)+dfsg.tar.gz
	tar f ../$(PACKAGE)-$(VERSION)+dfsg.tar --delete $(PACKAGE)-$(VERSION)/lib/java
	gzip -9 ../$(PACKAGE)-$(VERSION)+dfsg.tar
	ln -fs $(PACKAGE)-$(VERSION)+dfsg.tar.gz ../$(PACKAGE)_$(VERSION)+dfsg.orig.tar.gz

override_dh_auto_configure:
	dh_auto_configure -- --with-omni=/usr --disable-dbcreate --disable-java --with-doxygen

override_dh_auto_install:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql
	install -p -m 644 $(CURDIR)/debian/sql/upgrade-7.2.0~rc1+dfsg-1 debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql/7.2.0~rc1+dfsg-1
	install -p -m 644 $(CURDIR)/debian/sql/upgrade-7.2.6+dfsg-1 debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql/7.2.6+dfsg-1

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 $(CURDIR)/$(BUILDROOT)/cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

override_dh_strip:
	dh_strip -plibtango7 --dbg-package=libtango7-dbg
	dh_strip -pliblog4tango4 --dbg-package=liblog4tango4-dbg
	dh_strip -ptango-db --dbg-package=tango-db-dbg
	dh_strip -ptango-starter --dbg-package=tango-starter-dbg
	dh_strip -ptango-accesscontrol --dbg-package=tango-accesscontrol-dbg
	dh_strip -ptango-test --dbg-package=tango-test-dbg
	dh_strip -a -Nlibtango7 -Nliblog4tango4 -Ntango-db -Ntango-starter -Ntango-accesscontrol -Ntango-test

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

%:
	dh $@ --builddirectory=$(BUILDROOT)

.PHONY: get-orig-source

## tango 8.0.5+dfsg

=== debian/changelog ===
tango (8.0.5+dfsg-3ubuntu0.1) saucy; urgency=low

  * fix for real the build on ubuntu (mismatch between shell and
    makefile syntax) (LP: #1250534)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Nov 2013 10:22:20 +0100

tango (8.0.5+dfsg-3) unstable; urgency=low

  * debian/patches
    - 0007-upstream-attempt-to-fix-the-powerpc-FTBFS.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2013 20:16:52 +0200

tango (8.0.5+dfsg-2) unstable; urgency=low

  * uploaded into unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 07 May 2013 08:22:11 +0200

tango (8.0.5+dfsg-1) experimental; urgency=low

  * Imported Upstream version 8.0.5+dfsg
  * Bump Standards-Version to 3.9.4 (nothing to do)
  * switch to compat level 9
  * debian/control
    - Add new binary packages libtango8, libtango8-dev, libtango8-dbg
    - Remove binary packages libtango7, libtango7-dev, libtango7-dbg
    - Multiarchify:
      * liblog4tango4, liblog4tango4-dev, liblog4tango4-dbg
      * libtango8, libtango8-dev, libtango8-dbg
      * tango-common
  * debian/patches
    - refreshed
      * 0001-debian-fix_database_scripts.patch
      * 0002-debian-my.cnf.in.patch
      * 0003-debian-notify_daemon.patch
    - deleted
      * 0004-upstream-fix-bug3285674.patch
      * 0005-upstream-fix-bug3213730.patch
      * 0006-feature-forwarded-upstream-pkg-config-small-fixes.patch
      * 0007-upstream-fix-tango-db-start-during-init.patch
      * 0008-feature-add-jpegmmx-option-to-configure-script.patch
      * 0009-upstream-fix-bug3339975.patch
    - new
      * 0004-upstream-fix-p805_1.patch
      * 0005-fix-forwaded-upstream-add-LIBZMQ_LIBS-to-libtango.patch
      * 0006-upstream-fix-p805_2.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Jan 2013 09:38:26 +0200

tango (7.2.6+dfsg-14) unstable; urgency=low

  * debian/patch
    - 0002-debian-my.cnf.in.patch (updated) (Closes: #684332)
      put the right user in my.cnf using dbconfig-common template engine

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Sep 2012 08:31:51 +0200

tango (7.2.6+dfsg-13) unstable; urgency=low

  * Bump Standards-Version to 3.9.3
    - use cme (config-edit) to fix the copyright URL
  * Add debconf translation:
    - Portuguese, from Pedro Ribeiro, (Closes: #651431)
    - Polish, from Michał Kułach (Closes: #660097)
    - Dutch, from Jeroen Schot, (Closes: #660204)
    - Indone, from Izharul Haq, (Closes: #660100)
    - Italian, from Beatrice Torracca (Closes: #660761)
    - Slovak, from Ivan Masár (Closes: #661132)
  * Build out of the box on squeeze
    - update Build-Deps
    - use dpkg-buildflags --export=make instead of configure

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 11 Dec 2011 15:30:40 +0100

tango (7.2.6+dfsg-12) unstable; urgency=low

  * remove symbols files (Closes: #635867)
  * debian/rules
    - hardening flags activated as we are providing daemons.
  * debian/patches
    - 0009-upstream-fix-bug3339975.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 21 Oct 2011 20:44:03 +0200

tango (7.2.6+dfsg-11) unstable; urgency=low

  * debian/*.symbols
    - libtango7 update all arch symbols

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 17 Sep 2011 09:55:08 +0200

tango (7.2.6+dfsg-10) unstable; urgency=low

  * debian/*.symbols
    - log4tango4 updated for all arch
    - libtango7 add all arch symbols

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 07 Aug 2011 11:04:08 +0200

tango (7.2.6+dfsg-9) unstable; urgency=low

  * debian/rules
    - add DPKG_GENSYMBOLS_CHECK_LEVEL=0 until I completed the symbols
      files for all arch.
  * debian/patches
    - 0008-feature-add-jpegmmx-option-to-configure-script.patch (updated)
      remove the mmx optimisation for all arch as it FTBFS on amd64.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 31 Jul 2011 19:06:33 +0200

tango (7.2.6+dfsg-8) unstable; urgency=low

  * do not build with mmx optimisation for the i386 arch
  * debian/patches
    - 0008-feature-add-jpegmmx-option-to-configure-script.patch (new)

  * debian/libtango7.symbols
    - remove all mmx related symbols from the i386 arch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 31 Jul 2011 00:07:30 +0200

tango (7.2.6+dfsg-7) unstable; urgency=low

  * debian/*.symbols
    - switch to (c++) tag
    - remove all duplicated lignes with the "uniq" command

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 30 Jul 2011 21:02:47 +0200

tango (7.2.6+dfsg-6) unstable; urgency=low

  * debian/liblog4tango4.symbols
    - try to fix for all arch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 28 Jul 2011 22:57:32 +0200

tango (7.2.6+dfsg-5) unstable; urgency=low

  * switch to compat level 8
  * add the symbols files
  * Add debconf translation:
    - Spanish, from Camaleón, (Closes: #632950)
  * debian/copyright fixed using config-edit

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 19 Jul 2011 16:55:06 +0200

=== debian/control ===
Source: tango
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               libcos4-dev,
               libmysqlclient-dev,
               libzmq3-dev (>= 3.2.2),
               po-debconf
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/tango.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/tango.git
Homepage: http://www.tango-controls.org

Package: liblog4tango4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: logging for TANGO - shared library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the files necessary for running applications that
 use the log4tango4 library.

Package: liblog4tango4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         liblog4tango4 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: logging for TANGO - development library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the log4tango4 development files.

Package: liblog4tango4-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         liblog4tango4 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: logging for TANGO - debug library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the debugging symbol for liblog4tango4.

Package: liblog4tango4-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: logging for TANGO - documentation
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the documentation of the log4tango4 library.

Package: libtango8
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-common
Pre-Depends: ${misc:Pre-Depends}
Description: TANGO distributed control system - shared library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the files necessary for running TANGO applications.

Package: libtango8-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libcos4-dev,
         liblog4tango4-dev,
         libtango8 (= ${binary:Version}),
         libzmq3-dev
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libtango7-dev
Description: TANGO distributed control system - development library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the tango8 development files.

Package: libtango8-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         libtango8 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: TANGO distributed control system - debug library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the debugging symbols for tango8.

Package: libtango8-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: TANGO distributed control system - documentation
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the documentation for the libtango8 library.

Package: libtango-tools
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: tango-common (<< 7.2.6+dfsg-2)
Description: TANGO distributed control system - common executable files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure.

Package: tango-common
Architecture: all
Multi-Arch: foreign
Section: net
Depends: ${misc:Depends},
         adduser
Description: TANGO distributed control system - common files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure. It is for now an
 empty package

Package: tango-db
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbconfig-common,
         libtango-tools,
         lsb-base
Recommends: mysql-client
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO database server using MySQL.

Package: tango-db-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-db (= ${binary:Version})
Description: TANGO distributed control system - database debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-db.

Package: tango-starter
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base
Suggests: omninotify
Description: TANGO distributed control system - starter server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device control server. It can start, stop,
 or report the status of other TANGO components.

Package: tango-starter-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-starter (= ${binary:Version})
Description: TANGO distributed control system - starter debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-starter.

Package: tango-accesscontrol
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base,
         tango-db,
         tango-starter
Description: TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO accesscontrol server. It can be used to
 manage the users and IP addresses that are permitted to access TANGO
 devices.

Package: tango-accesscontrol-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-accesscontrol (= ${binary:Version})
Description: TANGO distributed control system - accesscontrol debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-accesscontrol.

Package: tango-test
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-starter
Description: TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device which implements all TANGO
 attribute types, and can be used for testing the installation.

=== debian/rules ===
#!/usr/bin/make -f

BUILDROOT=build
PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)+.*/\1/p')
FULLDEBVERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*-.*\)/\1/p')

CONFIGURE_OPTS := --with-omni=/usr --disable-dbcreate --disable-java --with-doxygen --disable-jpegmmx

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

sql:
	./configure $(CONFIGURE_OPTS)
	# use this target to generate the dbconfig-common upgrade script once the debian/changelog is ok
	cat cppserver/database/stored_proc.sql\
	    cppserver/database/update_db.sql > debian/mysql/$(FULLDEBVERSION)
	$(MAKE) distclean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql
	install -p -m 644 debian/mysql/* debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 $(CURDIR)/$(BUILDROOT)/cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

override_dh_strip:
	dh_strip -plibtango8 --dbg-package=libtango8-dbg
	dh_strip -pliblog4tango4 --dbg-package=liblog4tango4-dbg
	dh_strip -ptango-db --dbg-package=tango-db-dbg
	dh_strip -ptango-starter --dbg-package=tango-starter-dbg
	dh_strip -ptango-accesscontrol --dbg-package=tango-accesscontrol-dbg
	dh_strip -ptango-test --dbg-package=tango-test-dbg
	dh_strip -a -Nlibtango8 -Nliblog4tango4 -Ntango-db -Ntango-starter -Ntango-accesscontrol -Ntango-test

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

%:
	dh $@ --builddirectory=$(BUILDROOT) --with autoreconf

.PHONY: get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg// \
http://ftp.esrf.fr/pub/cs/tango/tango-(.*)\.tar\.gz \
debian sh debian/repack.stub
